package com.ruoyi.project.business.mapper.contract;

import java.util.Date;
import java.util.List;
import com.ruoyi.project.business.domain.TqContractLift;
import com.ruoyi.project.business.domain.bo.contract.TqContractLift4OrderNoBo;
import com.ruoyi.project.business.domain.bo.contract.TqContractLiftBo;
import com.ruoyi.project.business.domain.vo.contract.TqContractLiftVo;
import com.ruoyi.project.business.dto.LiftCount;
import com.ruoyi.project.business.dto.LiftMonthCount;
import org.apache.ibatis.annotations.Param;
import org.springframework.web.bind.annotation.PathVariable;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-14
 */
public interface TqContractLiftMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public TqContractLift selectTqContractLiftById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tqContractLiftBo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TqContractLiftVo> selectTqContractLiftList(TqContractLiftBo tqContractLiftBo);


    /**
     * 新增【请填写功能名称】
     * 
     * @param tqContractLift 【请填写功能名称】
     * @return 结果
     */
    public int insertTqContractLift(TqContractLift tqContractLift);

     /**
      * @Author Chenj
      * @Description 批量导入电梯信息
      * @Date 11:27 2024/8/14
      **/
    public int insertTqContractLiftBatch(List<TqContractLift> tqContractLiftList);

    public int updateTqContractLiftBatch(List<TqContractLift> tqContractLiftList);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tqContractLift 【请填写功能名称】
     * @return 结果
     */
    public int updateTqContractLift(TqContractLift tqContractLift);

    public int updateOrderNoBo(List<TqContractLiftVo> tqContractLiftVo);
    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteTqContractLiftById(Long id);

    public int deleteTqContractLiftByNoId(@Param("contractNo") String contractNo, List<Long> ids);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTqContractLiftByIds(Long[] ids);

    List<TqContractLiftVo> listAllById(Long[] ids,@Param("language") String language);

    List<LiftCount> countStatistic(@Param("begin") String begin, @Param("end") String end);

    List<LiftCount> countStatisticByMonthAll(@Param("year") Integer year);

    List<LiftCount> countStatisticByWeekAll(@Param("year") Integer year);

    List<LiftMonthCount> countSigningStatisticAll(@Param("year") Integer year);
    List<LiftMonthCount> countProductionStatisticAll(@Param("year") Integer year);
    List<LiftMonthCount> countDeliveryStatisticAll(@Param("year") Integer year);

    /**
     * @Author Chenj
     * @Description 查询此序列号是否被使用过
     * @Date 13:31 2024/9/2
     **/
    public int selectProductionOrderNo(@Param("productionOrderNo") String productionOrderNo);
}
